#!/bin/bash
# 將以下設定加入 /etc/crontab，即可每十分鐘紀錄使用較高 CPU 資源是有哪些程序，紀錄於 /root/high_load_proc.txt
# */10 * * * * root /root/save_high_load_proc.sh

date >> /root/high_load_proc.txt

echo "======================================" >> /root/high_load_proc.txt

echo "" >> /root/high_load_proc.txt

ps -eo pid,ppid,cmd,%mem,%cpu --sort=-%cpu | head >> /root/high_load_proc.txt

echo "" >> /root/high_load_proc.txt

top -b -o +%CPU | head -n 17 >> /root/high_load_proc.txt

echo "" >> /root/high_load_proc.txt

echo "======================================" >> /root/high_load_proc.txt

echo "" >> /root/high_load_proc.txt
